=== modified file 'include/myisam.h'
--- include/myisam.h	2008-07-07 14:25:25 +0000
+++ include/myisam.h	2008-07-13 19:39:24 +0000
@@ -253,7 +253,7 @@
 extern char * myisam_log_filename;		/* Name of logfile */
 extern ulong myisam_block_size;
 extern ulong myisam_concurrent_insert;
-extern my_bool myisam_flush,myisam_delay_key_write,myisam_single_user;
+extern bool myisam_flush,myisam_delay_key_write,myisam_single_user;
 extern my_off_t myisam_max_temp_length;
 extern ulong myisam_bulk_insert_tree_size, myisam_data_pointer_size;
 

=== modified file 'server/drizzled.cc'
--- server/drizzled.cc	2008-07-13 06:35:46 +0000
+++ server/drizzled.cc	2008-07-13 19:39:24 +0000
@@ -243,11 +243,13 @@
 /* Global variables */
 
 bool opt_bin_log;
-my_bool opt_log, opt_slow_log;
+bool opt_log; 
+bool opt_slow_log;
 ulong log_output_options;
-my_bool opt_log_queries_not_using_indexes= 0;
+bool opt_log_queries_not_using_indexes= false;
 bool opt_error_log= IF_WIN(1,0);
-bool opt_disable_networking=0, opt_skip_show_db=0;
+bool opt_disable_networking= false;
+bool opt_skip_show_db= false;
 my_bool opt_character_set_client_handshake= 1;
 bool server_id_supplied = 0;
 bool opt_endinfo, using_udf_functions;
@@ -258,7 +260,8 @@
 my_bool opt_skip_slave_start = 0; ///< If set, slave is not autostarted
 my_bool opt_reckless_slave = 0;
 my_bool opt_enable_named_pipe= 0;
-my_bool opt_local_infile, opt_slave_compressed_protocol;
+bool opt_local_infile;
+bool opt_slave_compressed_protocol;
 my_bool opt_safe_user_create = 0;
 my_bool opt_show_slave_auth_info, opt_sql_bin_update = 0;
 my_bool opt_log_slave_updates= 0;
@@ -269,13 +272,15 @@
 handlerton *heap_hton;
 handlerton *myisam_hton;
 
-my_bool opt_readonly, use_temp_pool, relay_log_purge;
-my_bool opt_sync_frm;
-my_bool opt_secure_auth= 0;
+bool opt_readonly;
+my_bool use_temp_pool;
+bool relay_log_purge;
+bool opt_sync_frm;
+bool opt_secure_auth= false;
 char* opt_secure_file_priv= 0;
 my_bool opt_log_slow_admin_statements= 0;
 my_bool opt_log_slow_slave_statements= 0;
-my_bool lower_case_file_system= 0;
+bool lower_case_file_system= 0;
 my_bool opt_old_style_user_limits= 0, trust_function_creators= 0;
 /*
   True if there is at least one per-hour limit for some user, so we should
@@ -308,7 +313,7 @@
 ulong query_buff_size, slow_launch_time, slave_open_temp_tables;
 ulong open_files_limit, max_binlog_size, max_relay_log_size;
 ulong slave_net_timeout, slave_trans_retries;
-my_bool slave_allow_batching;
+bool slave_allow_batching;
 ulong slave_exec_mode_options;
 const char *slave_exec_mode_str= "STRICT";
 ulong thread_cache_size=0, thread_pool_size= 0;
@@ -4885,7 +4890,7 @@
     Set some global variables from the global_system_variables
     In most cases the global variables will not be used
   */
-  my_disable_locking= myisam_single_user= test(opt_external_locking == 0);
+  my_disable_locking= myisam_single_user= test((opt_external_locking == 0));
   my_default_record_cache_size=global_system_variables.read_buff_size;
   myisam_max_temp_length=
     (my_off_t) global_system_variables.myisam_max_sort_file_size;

=== modified file 'server/log.cc'
--- server/log.cc	2008-07-13 01:28:21 +0000
+++ server/log.cc	2008-07-13 19:39:24 +0000
@@ -615,7 +615,7 @@
 void LOGGER::deactivate_log_handler(THD *thd __attribute__((__unused__)),
                                     uint log_type)
 {
-  my_bool *tmp_opt= 0;
+  bool *tmp_opt= 0;
   MYSQL_LOG *file_log;
 
   switch (log_type) {

=== modified file 'server/mysql_priv.h'
--- server/mysql_priv.h	2008-07-13 01:28:21 +0000
+++ server/mysql_priv.h	2008-07-13 19:39:24 +0000
@@ -1661,7 +1661,7 @@
 extern ulong slow_launch_threads, slow_launch_time;
 extern ulong table_cache_size, table_def_size;
 extern ulong max_connections,max_connect_errors, connect_timeout;
-extern my_bool slave_allow_batching;
+extern bool slave_allow_batching;
 extern ulong slave_net_timeout, slave_trans_retries;
 extern uint max_user_connections;
 extern ulong what_to_log,flush_time;
@@ -1681,7 +1681,8 @@
 extern ulong expire_logs_days, sync_binlog_period, sync_binlog_counter;
 extern ulong opt_tc_log_size, tc_log_max_pages_used, tc_log_page_size;
 extern ulong tc_log_page_waits;
-extern my_bool relay_log_purge, opt_innodb_safe_binlog, opt_innodb;
+extern bool relay_log_purge;
+extern my_bool opt_innodb_safe_binlog, opt_innodb;
 extern uint test_flags,select_errors,ha_open_options;
 extern uint protocol_version, mysqld_port, dropping_tables;
 extern uint delay_key_write_options;
@@ -1699,21 +1700,26 @@
 #ifdef MYSQL_SERVER
 extern bool using_update_log, server_id_supplied;
 extern bool opt_update_log, opt_bin_log, opt_error_log;
-extern my_bool opt_log, opt_slow_log;
+extern bool opt_log; 
+extern bool opt_slow_log;
 extern ulong log_output_options;
-extern my_bool opt_log_queries_not_using_indexes;
+extern bool opt_log_queries_not_using_indexes;
 extern bool opt_disable_networking, opt_skip_show_db;
 extern my_bool opt_character_set_client_handshake;
 extern bool volatile abort_loop, shutdown_in_progress;
 extern uint volatile thread_count, thread_running, global_read_lock;
 extern uint connection_count;
 extern my_bool opt_sql_bin_update, opt_safe_user_create, opt_no_mix_types;
-extern my_bool opt_safe_show_db, opt_local_infile, opt_myisam_use_mmap;
-extern my_bool opt_slave_compressed_protocol, use_temp_pool;
+extern my_bool opt_safe_show_db, opt_myisam_use_mmap;
+extern bool opt_local_infile;
+extern bool opt_slave_compressed_protocol;
+extern my_bool use_temp_pool;
 extern ulong slave_exec_mode_options;
-extern my_bool opt_readonly, lower_case_file_system;
-extern my_bool opt_enable_named_pipe, opt_sync_frm;
-extern my_bool opt_secure_auth;
+extern bool opt_readonly;
+extern bool lower_case_file_system;
+extern my_bool opt_enable_named_pipe;
+extern bool opt_sync_frm;
+extern bool opt_secure_auth;
 extern char* opt_secure_file_priv;
 extern my_bool opt_log_slow_admin_statements, opt_log_slow_slave_statements;
 extern my_bool opt_noacl;

=== modified file 'server/set_var.cc'
--- server/set_var.cc	2008-07-13 18:27:33 +0000
+++ server/set_var.cc	2008-07-13 19:39:24 +0000
@@ -416,7 +416,7 @@
 					 check_tx_isolation);
 static sys_var_thd_ulonglong	sys_tmp_table_size(&vars, "tmp_table_size",
 					   &SV::tmp_table_size);
-static sys_var_rbool_ptr  sys_timed_mutexes(&vars, "timed_mutexes", &timed_mutexes);
+static sys_var_bool_ptr  sys_timed_mutexes(&vars, "timed_mutexes", &timed_mutexes);
 static sys_var_const_str	sys_version(&vars, "version", server_version);
 static sys_var_const_str	sys_version_comment(&vars, "version_comment",
                                             MYSQL_COMPILATION_COMMENT);
@@ -594,8 +594,7 @@
 static sys_var_log_state sys_var_general_log(&vars, "general_log", &opt_log,
                                       QUERY_LOG_GENERAL);
 /* Synonym of "general_log" for consistency with SHOW VARIABLES output */
-static sys_var_log_state sys_var_log(&vars, "log", &opt_log,
-                                      QUERY_LOG_GENERAL);
+static sys_var_log_state sys_var_log(&vars, "log", &opt_log, QUERY_LOG_GENERAL);
 static sys_var_log_state sys_var_slow_query_log(&vars, "slow_query_log", &opt_slow_log,
                                          QUERY_LOG_SLOW);
 /* Synonym of "slow_query_log" for consistency with SHOW VARIABLES output */
@@ -1149,25 +1148,13 @@
 
 bool sys_var_bool_ptr::update(THD *thd __attribute__((__unused__)), set_var *var)
 {
-  *value= (my_bool) var->save_result.ulong_value;
+  *value= (bool) var->save_result.ulong_value;
   return 0;
 }
 
 
 void sys_var_bool_ptr::set_default(THD *thd __attribute__((__unused__)), enum_var_type type __attribute__((__unused__)))
 {
-  *value= (my_bool) option_limits->def_value;
-}
-
-bool sys_var_rbool_ptr::update(THD *thd __attribute__((__unused__)), set_var *var)
-{
-  *value= (bool) var->save_result.ulong_value;
-  return 0;
-}
-
-
-void sys_var_rbool_ptr::set_default(THD *thd __attribute__((__unused__)), enum_var_type type __attribute__((__unused__)))
-{
   *value= (bool) option_limits->def_value;
 }
 

=== modified file 'server/set_var.h'
--- server/set_var.h	2008-07-13 18:27:33 +0000
+++ server/set_var.h	2008-07-13 19:39:24 +0000
@@ -206,30 +206,8 @@
 class sys_var_bool_ptr :public sys_var
 {
 public:
-  my_bool *value;
-  sys_var_bool_ptr(sys_var_chain *chain, const char *name_arg, my_bool *value_arg)
-    :sys_var(name_arg),value(value_arg)
-  { chain_sys_var(chain); }
-  bool check(THD *thd, set_var *var)
-  {
-    return check_enum(thd, var, &bool_typelib);
-  }
-  bool update(THD *thd, set_var *var);
-  void set_default(THD *thd, enum_var_type type);
-  SHOW_TYPE show_type() { return SHOW_MY_BOOL; }
-  uchar *value_ptr(THD *thd __attribute__((__unused__)),
-                   enum_var_type type __attribute__((__unused__)),
-                   LEX_STRING *base __attribute__((__unused__)))
-  { return (uchar*) value; }
-  bool check_update_type(Item_result type __attribute__((__unused__)))
-  { return 0; }
-};
-
-class sys_var_rbool_ptr :public sys_var
-{
-public:
   bool *value;
-  sys_var_rbool_ptr(sys_var_chain *chain, const char *name_arg, bool *value_arg)
+  sys_var_bool_ptr(sys_var_chain *chain, const char *name_arg, bool *value_arg)
     :sys_var(name_arg),value(value_arg)
   { chain_sys_var(chain); }
   bool check(THD *thd, set_var *var)
@@ -247,12 +225,11 @@
   { return 0; }
 };
 
-
 class sys_var_bool_ptr_readonly :public sys_var_bool_ptr
 {
 public:
   sys_var_bool_ptr_readonly(sys_var_chain *chain, const char *name_arg,
-                            my_bool *value_arg)
+                            bool *value_arg)
     :sys_var_bool_ptr(chain, name_arg, value_arg)
   {}
   bool is_readonly() const { return 1; }
@@ -869,7 +846,7 @@
 {
   uint log_type;
 public:
-  sys_var_log_state(sys_var_chain *chain, const char *name_arg, my_bool *value_arg, 
+  sys_var_log_state(sys_var_chain *chain, const char *name_arg, bool *value_arg, 
                     uint log_type_arg)
     :sys_var_bool_ptr(chain, name_arg, value_arg), log_type(log_type_arg) {}
   bool update(THD *thd, set_var *var);
@@ -1093,19 +1070,6 @@
   uchar *value_ptr(THD *thd, enum_var_type type, LEX_STRING *base);
 };
 
-
-class sys_var_trust_routine_creators :public sys_var_bool_ptr
-{
-  /* We need a derived class only to have a warn_deprecated() */
-public:
-  sys_var_trust_routine_creators(sys_var_chain *chain,
-                                 const char *name_arg, my_bool *value_arg) :
-    sys_var_bool_ptr(chain, name_arg, value_arg) {};
-  void warn_deprecated(THD *thd);
-  void set_default(THD *thd, enum_var_type type);
-  bool update(THD *thd, set_var *var);
-};
-
 /**
   Handler for setting the system variable --read-only.
 */
@@ -1114,7 +1078,7 @@
 {
 public:
   sys_var_opt_readonly(sys_var_chain *chain, const char *name_arg, 
-                       my_bool *value_arg) :
+                       bool *value_arg) :
     sys_var_bool_ptr(chain, name_arg, value_arg) {};
   ~sys_var_opt_readonly() {};
   bool update(THD *thd, set_var *var);

=== modified file 'server/sql_class.h'
--- server/sql_class.h	2008-07-13 00:22:17 +0000
+++ server/sql_class.h	2008-07-13 19:39:24 +0000
@@ -329,8 +329,7 @@
     compatibility option:
       - index usage hints (USE INDEX without a FOR clause) behave as in 5.0 
   */
-  my_bool old_mode;
-  my_bool query_cache_wlock_invalidate;
+  bool old_mode;
   my_bool engine_condition_pushdown;
   my_bool keep_files_on_create;
 

=== modified file 'storage/myisam/mi_static.c'
--- storage/myisam/mi_static.c	2008-07-02 14:35:48 +0000
+++ storage/myisam/mi_static.c	2008-07-13 19:39:24 +0000
@@ -31,7 +31,9 @@
 File	myisam_log_file= -1;
 uint	myisam_quick_table_bits=9;
 ulong	myisam_block_size= MI_KEY_BLOCK_LENGTH;		/* Best by test */
-my_bool myisam_flush=0, myisam_delay_key_write=0, myisam_single_user=0;
+bool myisam_flush= false;
+bool myisam_delay_key_write= false;
+bool myisam_single_user= false;
 #if !defined(DONT_USE_RW_LOCKS)
 ulong myisam_concurrent_insert= 2;
 #else

=== modified file 'storage/myisam/myisamchk.c'
--- storage/myisam/myisamchk.c	2008-07-11 15:49:04 +0000
+++ storage/myisam/myisamchk.c	2008-07-13 19:39:24 +0000
@@ -466,17 +466,12 @@
 
 	 /* Read options */
 
-static my_bool
+static bool
 get_one_option(int optid,
 	       const struct my_option *opt __attribute__((unused)),
 	       char *argument)
 {
   switch (optid) {
-#ifdef __NETWARE__
-  case OPT_AUTO_CLOSE:
-    setscreenmode(SCR_AUTOCLOSE_ON_EXIT);
-    break;
-#endif
   case 'a':
     if (argument == disabled_my_option)
       check_param.testflag&= ~T_STATISTICS;

